#ifndef REPLAY_HPP
#define REPLAY_HPP

#include "input.hpp"

#include <fstream>

class ReplaySaver
{
 private:
  std::ofstream file;
  timespec start_time;
  bool file_ok;

 public:
  ReplaySaver();
  ~ReplaySaver();

  void add_event(const Input& i);

  // singleton
  static ReplaySaver* instance;
  static ReplaySaver* get_instance();
};

#endif
